package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsUserBill;
import com.fs.his.param.FsUserBillParam;
import com.fs.his.vo.FsUserBillVO;

/**
 * 用户帐单记录Service接口
 *
 * @author fs
 * @date 2023-06-25
 */
public interface IFsUserBillService
{
    /**
     * 查询用户帐单记录
     *
     * @param billId 用户帐单记录主键
     * @return 用户帐单记录
     */
    public FsUserBill selectFsUserBillByBillId(Long billId);

    /**
     * 查询用户帐单记录列表
     *
     * @param fsUserBill 用户帐单记录
     * @return 用户帐单记录集合
     */
    public List<FsUserBill> selectFsUserBillList(FsUserBill fsUserBill);

    /**
     * 新增用户帐单记录
     *
     * @param fsUserBill 用户帐单记录
     * @return 结果
     */
    public int insertFsUserBill(FsUserBill fsUserBill);

    /**
     * 修改用户帐单记录
     *
     * @param fsUserBill 用户帐单记录
     * @return 结果
     */
    public int updateFsUserBill(FsUserBill fsUserBill);

    /**
     * 批量删除用户帐单记录
     *
     * @param billIds 需要删除的用户帐单记录主键集合
     * @return 结果
     */
    public int deleteFsUserBillByBillIds(Long[] billIds);

    /**
     * 删除用户帐单记录信息
     *
     * @param billId 用户帐单记录主键
     * @return 结果
     */
    public int deleteFsUserBillByBillId(Long billId);


    List<FsUserBillVO> selectFsUserBillListVO(FsUserBillParam fsUserBill);
}
